Package de.tudresden.sumo.cmd

## Class Inductionloop

- java.lang.Object
- - de.tudresden.sumo.cmd.Inductionloop

-     public class Inductionloop
      extends Object

  The Class Inductionloop.
  Author:
    Mario Krumnow, Evamarie Wiessner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Inductionloop()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SumoCommand` | `getIDCount()` | Returns the number of all induction loops in the network.
    `static SumoCommand` | `getIDList()` | Returns a list of IDs of all induction loops within the scenario.
    `static SumoCommand` | `getLaneID​(String loopID)` | Returns the ID of the lane the loop is placed at.
    `static SumoCommand` | `getLastStepMeanLength​(String loopID)` | Returns the mean length of vehicles (in m) which were on the detector in the last step.
    `static SumoCommand` | `getLastStepMeanSpeed​(String loopID)` | Returns the mean speed of vehicles (in m/s) that were on the named induction loop within the last simulation step.
    `static SumoCommand` | `getLastStepOccupancy​(String loopID)` | Returns the percentage of time (in %) the detector was occupied by a vehicle within the last time step.
    `static SumoCommand` | `getLastStepVehicleIDs​(String loopID)` | Returns the list of IDs of vehicles that were on the named induction loop in the last simulation step.
    `static SumoCommand` | `getLastStepVehicleNumber​(String loopID)` | Returns the number of vehicles that were on the named induction loop within the last simulation step.
    `static SumoCommand` | `getParameter​(String loopID, String param)` | Returns the chosen parameter.
    `static SumoCommand` | `getPosition​(String loopID)` | Returns the position (in m) of the induction loop at it's lane, counted from the lane's begin.
    `static SumoCommand` | `getTimeSinceDetection​(String loopID)` | Return the time (in s) since last detection.
    `static SumoCommand` | `getVehicleData​(String loopID)` | A complex structure containing several information about vehicles which passed the detector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Inductionloop

          public Inductionloop()

  - ### Method Detail

    - #### getIDList

          public static SumoCommand getIDList()

      Returns a list of IDs of all induction loops within the scenario.
      Returns:
        list of IDs of all induction loops in the network

    - #### getIDCount

          public static SumoCommand getIDCount()

      Returns the number of all induction loops in the network.
      Returns:
        the number of detectors

    - #### getParameter

          public static SumoCommand getParameter​(String loopID,
                                                 String param)

      Returns the chosen parameter.
      Parameters:
        `loopID` - the loop ID
        `param` - a string personIDentifying the parameter
      Returns:
        the specific parameter

    - #### getLaneID

          public static SumoCommand getLaneID​(String loopID)

      Returns the ID of the lane the loop is placed at.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        a string identifying the lane

    - #### getLastStepMeanLength

          public static SumoCommand getLastStepMeanLength​(String loopID)

      Returns the mean length of vehicles (in m) which were on the detector in the last step.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        average length of the vehicles (in m)

    - #### getLastStepMeanSpeed

          public static SumoCommand getLastStepMeanSpeed​(String loopID)

      Returns the mean speed of vehicles (in m/s) that were on the named induction loop within the last simulation step.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        average speed of the vehicles (in m/s)

    - #### getLastStepOccupancy

          public static SumoCommand getLastStepOccupancy​(String loopID)

      Returns the percentage of time (in %) the detector was occupied by a vehicle within the last time step.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        occupancy of the detector (in %)

    - #### getLastStepVehicleIDs

          public static SumoCommand getLastStepVehicleIDs​(String loopID)

      Returns the list of IDs of vehicles that were on the named induction loop in the last simulation step.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        list of all vehicleIDs

    - #### getLastStepVehicleNumber

          public static SumoCommand getLastStepVehicleNumber​(String loopID)

      Returns the number of vehicles that were on the named induction loop within the last simulation step.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        total number of vehicles

    - #### getPosition

          public static SumoCommand getPosition​(String loopID)

      Returns the position (in m) of the induction loop at it's lane, counted from the lane's begin.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        position of the detector, counted from the lane's begin

    - #### getTimeSinceDetection

          public static SumoCommand getTimeSinceDetection​(String loopID)

      Return the time (in s) since last detection.
      Parameters:
        `loopID` - a string identifying the induction loop
      Returns:
        time since last detection (in s)

    - #### getVehicleData

          public static SumoCommand getVehicleData​(String loopID)

      A complex structure containing several information about vehicles which passed the detector.
      Parameters:
        `loopID` - a SumoStringList containing induction loops
      Returns:
        several information about vehicles which passed the detector.